Package net.commoble.exmachina.internal.signal

# Class SignalGraphBuffer

java.lang.Object
net.minecraft.world.level.saveddata.SavedData
net.commoble.exmachina.internal.signal.SignalGraphBuffer

@Internal public final class SignalGraphBuffer extends net.minecraft.world.level.saveddata.SavedData
Buffer in which signal graph updates are enqueued. All enqueued signal graph updates run at the end of each tick.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.saveddata.SavedData

`net.minecraft.world.level.saveddata.SavedData.Factory<T extends net.minecraft.world.level.saveddata.SavedData>`

## Method Summary

Modifier and Type
Method
Description
`void`
`enqueue(net.minecraft.core.BlockPos pos)`
Enqueues a blockpos to run a signal graph update at at the end of the tick
`static SignalGraphBuffer`
`get(net.minecraft.server.level.ServerLevel level)`
Returns SignalGraphBuffer for a given ServerLevel.
`boolean`
`isDirty()`
`net.minecraft.nbt.CompoundTag`
`save(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)`
`void`
`tick(net.minecraft.server.level.ServerLevel level)`
Invoked at the end of each level tick to run enqueued signal graph updates

### Methods inherited from class net.minecraft.world.level.saveddata.SavedData

`save, setDirty, setDirty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### get

@Internal public static SignalGraphBuffer get(net.minecraft.server.level.ServerLevel level)
Returns SignalGraphBuffer for a given ServerLevel.

Parameters:
  `level` - ServerLevel to get the SignalGraphBuffer for
Returns:
  SignalGraphBuffer for a given ServerLevel

### enqueue

@Internal public void enqueue(net.minecraft.core.BlockPos pos)
Enqueues a blockpos to run a signal graph update at at the end of the tick

Parameters:
  `pos` - BlockPos to enqueue a signal graph update at

### tick

@Internal public void tick(net.minecraft.server.level.ServerLevel level)
Invoked at the end of each level tick to run enqueued signal graph updates

Parameters:
  `level` - ServerLevel being ticked

### save

public net.minecraft.nbt.CompoundTag save(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)

Specified by:
  `save` in class `net.minecraft.world.level.saveddata.SavedData`

### isDirty

public boolean isDirty()

Overrides:
  `isDirty` in class `net.minecraft.world.level.saveddata.SavedData`